# Crow: crow::json::detail::r_string Struct Reference

Loading...
Searching...
No Matches
crow::json::detail::r_string Struct Reference

A read string implementation with comparison functionality. More...

`#include <json.h>`

## Public Types

using | iterator = const char *
using | const_iterator = const char *

## Public Member Functions

| r_string (char *s, char *e)
| r_string (const r_string &r)
| r_string (r_string &&r)
r_string & | operator= (r_string &&r)
r_string & | operator= (const r_string &r)
| operator std::string () const
const char * | begin () const
const char * | end () const
size_t | size () const

## Public Attributes

char * | s_
| Start.
char * | e_
| End.
uint8_t | owned_ {0}

## Friends

std::ostream & | operator<< (std::ostream &os, const r_string &s)
rvalue | crow::json::load (const char *data, size_t size)
bool | operator== (const r_string &l, const r_string &r)
bool | operator== (const std::string &l, const r_string &r)
bool | operator== (const r_string &l, const std::string &r)

## Detailed Description

A read string implementation with comparison functionality.

The documentation for this struct was generated from the following file:

- include/crow/json.h